Package com.macrofocus.high_d.interaction

# Class GenericMouseListener<Row>

java.lang.Object
com.macrofocus.high_d.interaction.GenericMouseListener<Row>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPCanvas.MouseListener`, `com.macrofocus.crossplatform.CPCanvas.MouseMotionListener`

public abstract class GenericMouseListener<Row> extends Object implements com.macrofocus.crossplatform.CPCanvas.MouseListener, com.macrofocus.crossplatform.CPCanvas.MouseMotionListener
Created by luc on 27/07/16.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericMouseListener(com.macrofocus.rubberband.RubberBand rubberBand)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract Row`
  `getClosestRow(int x, int y)`
  `protected abstract MutableFilter<Row>`
  `getFilter()`
  `protected abstract com.macrofocus.high_d.interaction.InteractionMode`
  `getMode()`
  `protected abstract MutableSingleSelection<Row>`
  `getProbing()`
  `protected abstract Collection<Row>`
  `getRows(com.macrofocus.geom.Rectangle2D rect)`
  `protected com.macrofocus.rubberband.RubberBand`
  `getRubberBand()`
  `protected abstract MutableSelection<Row>`
  `getSelection()`
  `boolean`
  `isSelectionMode()`
  `void`
  `mouseClicked(com.macrofocus.crossplatform.CPCanvas.MouseEvent e)`
  `void`
  `mouseDragged(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)`
  `void`
  `mouseEntered(com.macrofocus.crossplatform.CPCanvas.MouseEvent e)`
  `void`
  `mouseExited(com.macrofocus.crossplatform.CPCanvas.MouseEvent e)`
  `void`
  `mouseMoved(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)`
  `void`
  `mousePressed(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)`
  `void`
  `mouseReleased(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)`
  `protected abstract void`
  `setMode(com.macrofocus.high_d.interaction.InteractionMode mode)`
  `void`
  `setSelectionMode(boolean value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenericMouseListener

    public GenericMouseListener(com.macrofocus.rubberband.RubberBand rubberBand)

- ## Method Details

  - ### getMode

    protected abstract com.macrofocus.high_d.interaction.InteractionMode getMode()

  - ### setMode

    protected abstract void setMode(com.macrofocus.high_d.interaction.InteractionMode mode)

  - ### isSelectionMode

    public boolean isSelectionMode()

  - ### setSelectionMode

    public void setSelectionMode(boolean value)

  - ### getProbing

    protected abstract MutableSingleSelection<Row> getProbing()

  - ### getSelection

    protected abstract MutableSelection<Row> getSelection()

  - ### getFilter

    protected abstract MutableFilter<Row> getFilter()

  - ### getClosestRow

    protected abstract Row getClosestRow(int x, int y)

  - ### getRows

    protected abstract Collection<Row> getRows(com.macrofocus.geom.Rectangle2D rect)

  - ### getRubberBand

    protected com.macrofocus.rubberband.RubberBand getRubberBand()

  - ### mouseClicked

    public void mouseClicked(com.macrofocus.crossplatform.CPCanvas.MouseEvent e)
    Specified by:
      `mouseClicked` in interface `com.macrofocus.crossplatform.CPCanvas.MouseListener`

  - ### mousePressed

    public void mousePressed(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)
    Specified by:
      `mousePressed` in interface `com.macrofocus.crossplatform.CPCanvas.MouseListener`

  - ### mouseReleased

    public void mouseReleased(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)
    Specified by:
      `mouseReleased` in interface `com.macrofocus.crossplatform.CPCanvas.MouseListener`

  - ### mouseEntered

    public void mouseEntered(com.macrofocus.crossplatform.CPCanvas.MouseEvent e)
    Specified by:
      `mouseEntered` in interface `com.macrofocus.crossplatform.CPCanvas.MouseListener`

  - ### mouseExited

    public void mouseExited(com.macrofocus.crossplatform.CPCanvas.MouseEvent e)
    Specified by:
      `mouseExited` in interface `com.macrofocus.crossplatform.CPCanvas.MouseListener`

  - ### mouseDragged

    public void mouseDragged(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)
    Specified by:
      `mouseDragged` in interface `com.macrofocus.crossplatform.CPCanvas.MouseMotionListener`

  - ### mouseMoved

    public void mouseMoved(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)
    Specified by:
      `mouseMoved` in interface `com.macrofocus.crossplatform.CPCanvas.MouseMotionListener`